/**
 * Copyright (c) 2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring;

import org.ow2.petals.jmx.api.api.monitoring.ObjectPoolMetrics;

/**
 * An implementation of {@link ObjectPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ObjectPoolMetricsImpl implements ObjectPoolMetrics {

    private Long minIdleSize = null;

    private Long maxSize = null;

    private Long borrowedObjectNumber = null;

    private Long borrowedObjectMaxNumber = null;

    private Long idleObjectNumber = null;

    private Long idleObjectMaxNumber = null;

    private Long exhaustions = null;

    @Override
    public Long getMinIdleSize() {
        return this.minIdleSize;
    }

    public void setMinIdleSize(final Long minIdleSize) {
        this.minIdleSize = minIdleSize;
    }

    @Override
    public Long getMaxSize() {
        return this.maxSize;
    }

    public void setMaxSize(final Long maxSize) {
        this.maxSize = maxSize;
    }

    @Override
    public Long getBorrowedObjectNumber() {
        return this.borrowedObjectNumber;
    }

    public void setBorrowedObjectNumber(final Long borrowedObjectNumber) {
        this.borrowedObjectNumber = borrowedObjectNumber;
    }

    @Override
    public Long getBorrowedObjectMaxNumber() {
        return this.borrowedObjectMaxNumber;
    }

    public void setBorrowedObjectMaxNumber(final Long borrowedObjectMaxNumber) {
        this.borrowedObjectMaxNumber = borrowedObjectMaxNumber;
    }

    @Override
    public Long getIdleObjectNumber() {
        return this.idleObjectNumber;
    }

    public void setIdleObjectNumber(final Long idleObjectNumber) {
        this.idleObjectNumber = idleObjectNumber;
    }

    @Override
    public Long getIdleObjectMaxNumber() {
        return this.idleObjectMaxNumber;
    }

    public void setIdleObjectMaxNumber(final Long idleObjectMaxNumber) {
        this.idleObjectMaxNumber = idleObjectMaxNumber;
    }

    @Override
    public Long getExhaustions() {
        return this.exhaustions;
    }

    public void setExhaustions(final Long exhaustions) {
        this.exhaustions = exhaustions;
    }

}
